Number Porting
All operations require authentication.
List number portingsProduction
List number portings. Returns the identifiers of the number portings. A number porting transfers a number from another operator.
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ portability \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a number portingProduction
Get a number porting. Returns the number porting: numbers, current operator, desired execution date, redirection, error codes, customer information and RIO (France only).
Path parameters
The name of your billingAccount
The ID of the portability
Response
The billing account where the numbers will be inserted
The portability's creation date
Customer informations about this portability
The date when the portability will be done and when numbers will be ported
Indicates that portability is in error
Codes representing the error in current portability
The ID of the portability
Show the redirection that will be configured when the portability will be done
The list of numbers that is going to be ported
The operator that currently holds the numbers
The ID of the portability order
Country that defines the portability kind
belgiumfranceswitzerlandRIO of the portability (France only)
Example uses billingAccount = string, id = 0
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ portability/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "billingAccount": "string", "creationDate": "2024-01-01T12:00:00Z", "customerInfos": { "building": "string", "city": "string", "door": "string", "floor": "string", "name": "string", "siret": "string", "stair": "string", "streetName": "string", "streetNumber": "string", "zip": "string" }, "desiredExecutionDate": "2024-01-01T12:00:00Z", "error": true, "errorCodes": [ "string" ], "id": 0, "lineToRedirectTo": "string", "numbersList": [ "string" ], "operator": "string", "orderId": 0, "portabilityCountry": "belgium", "rio": "string"}
Check if the porting can be canceledProduction
Check if the porting can be canceled. Returns whether the number porting can still be canceled. Cancel the porting with the cancel call.
Path parameters
The name of your billingAccount
The ID of the portability
Response
Example uses billingAccount = string, id = 0
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ portability/ {id}/ canBeCancelled \
-H "authorization: Bearer $OVH_TOKEN"true
Check if the porting can be executedProduction
Check if the porting can be executed. Returns whether the number porting can be executed now. Execute the porting with the execute call.
Path parameters
The name of your billingAccount
The ID of the portability
Response
Example uses billingAccount = string, id = 0
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ portability/ {id}/ canBeExecuted \
-H "authorization: Bearer $OVH_TOKEN"true
Cancel the portingProduction
Cancel the porting. Requests the cancellation of the number porting, with a reason. Check first that the porting can still be canceled.
Path parameters
The name of your billingAccount
The ID of the portability
Request body (required)
The cancellation reason
Response
Example uses billingAccount = string, id = 0
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ portability/ {id}/ cancel \
-H "authorization: Bearer $OVH_TOKEN"Change the porting dateProduction
Change the porting date. Requests a new date for the number porting. Check first that the porting date can still be changed.
Path parameters
The name of your billingAccount
The ID of the portability
Request body (required)
The proposed portability due date
Response
Example uses billingAccount = string, id = 0
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ portability/ {id}/ changeDate \
-H "authorization: Bearer $OVH_TOKEN"Check if the porting date can changeProduction
Check if the porting date can change. Returns whether the date of the number porting can be changed. Request a new date with the change date call.
Path parameters
The name of your billingAccount
The ID of the portability
Response
Example uses billingAccount = string, id = 0
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ portability/ {id}/ dateCanBeChanged \
-H "authorization: Bearer $OVH_TOKEN"true
List porting documentsProduction
List porting documents. Returns the identifiers of the documents attached to the number porting. Get a porting document for its name, size and download URL.
Path parameters
The name of your billingAccount
The ID of the portability
Response
Example uses billingAccount = string, id = 0
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ portability/ {id}/ document \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a porting documentProduction
Get a porting document. Returns the porting document: name, description, size, and the URLs to download and upload the file.
Path parameters
The name of your billingAccount
Identifier of the document
The ID of the portability
Response
Description of the document
Identifier of the document
URL to get document
Name of the document
URL to upload document
Document size (in bytes)
Example uses billingAccount = string, documentId = 0, id = 0
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ portability/ {id}/ document/ {documentId} \
-H "authorization: Bearer $OVH_TOKEN"{ "description": "string", "documentId": 0, "getUrl": "string", "name": "string", "putUrl": "string", "size": 0}
Create a porting documentProduction
Create a porting document. Creates a document for the number porting. Returns the URL to upload the file.
Path parameters
The name of your billingAccount
The ID of the portability
Request body (required)
Description of the document
Document's name
Response
Description of the document
Identifier of the document
URL to get document
Name of the document
URL to upload document
Document size (in bytes)
Example uses billingAccount = string, id = 0
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ portability/ {id}/ document \
-H "authorization: Bearer $OVH_TOKEN"{ "description": "string", "documentId": 0, "getUrl": "string", "name": "string", "putUrl": "string", "size": 0}
Delete a porting documentProduction
Delete a porting document. Deletes the porting document and its file. It is no longer attached to the number porting.
Path parameters
The name of your billingAccount
Identifier of the document
The ID of the portability
Response
Example uses billingAccount = string, documentId = 0, id = 0
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ portability/ {id}/ document/ {documentId} \
-H "authorization: Bearer $OVH_TOKEN"Update a porting documentProduction
Update a porting document. Updates the name and the description of the porting document. The file itself is uploaded with the upload URL of the document.
Path parameters
The name of your billingAccount
Identifier of the document
The ID of the portability
Request body (required)
Description of the document
Identifier of the document
URL to get document
Name of the document
URL to upload document
Document size (in bytes)
Response
Example uses billingAccount = string, documentId = 0, id = 0
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ portability/ {id}/ document/ {documentId} \
-H "authorization: Bearer $OVH_TOKEN"Execute the portingProduction
Execute the porting. Executes the number porting now, without waiting for the planned date. Check first that the porting can be executed.
Path parameters
The name of your billingAccount
The ID of the portability
Response
Example uses billingAccount = string, id = 0
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ portability/ {id}/ execute \
-H "authorization: Bearer $OVH_TOKEN"Check if the porting can be relaunchedProduction
Check if the porting can be relaunched. Returns whether the porting error can be fixed, and the fields to correct.
Path parameters
The name of your billingAccount
The ID of the portability
Response
Mandatory parameter list
Optional parameter list
Example uses billingAccount = string, id = 0
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ portability/ {id}/ relaunch \
-H "authorization: Bearer $OVH_TOKEN"{ "mandatoryParameters": [ "string" ], "optionalParameters": [ "string" ]}
Relaunch the portingProduction
Relaunch the porting. Fixes the porting error with the given values and relaunches the number porting.
Path parameters
The name of your billingAccount
The ID of the portability
Request body (required)
List of parameters to use to fix error
Response
Example uses billingAccount = string, id = 0
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ portability/ {id}/ relaunch \
-H "authorization: Bearer $OVH_TOKEN"Get the porting statusProduction
Get the porting status. Returns the status of the number porting, step by step: name, description, status, completion date and duration of each step.
Path parameters
The name of your billingAccount
The ID of the portability
Response
A brief description of the step
The date when this step was done
The theoric delay between the previous step's done date and this step's done date
Additional informations about the step
The name of the portability step
acknowledgmentReceivedFromOperatorbelgiumPortabilityRequestCreatedbelgiumPortabilityRequestExecutionAckedbelgiumPortabilityRequestExecutionAskedbelgiumPortabilityRequestExecutionCompletedbelgiumPortabilityRequestValidatedbelgiumPortabilityRequestWaitingUntilExeccustomerFormReceivedcustomerFormSentcustomerFormValidatedfinalReportReceivedFromOperatorintermediateReportReceivedFromOperatornumberActivationrequestSentToOperatorsDASequenceReceivedFromOperatorIndicates if the step is to do, currently doing or done
cancelleddoingdoneerrorholdtodoExample uses billingAccount = string, id = 0
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ portability/ {id}/ status \
-H "authorization: Bearer $OVH_TOKEN"[ { "description": "string", "doneDate": "2024-01-01T12:00:00Z", "duration": { "quantity": 0, "unit": "NA" }, "infos": { "lastProposedDate": "2024-01-01T12:00:00Z", "reason": "string", "reasonType": "string" }, "name": "acknowledgmentReceivedFromOperator", "status": "cancelled" }]